2019-08-24 09:18 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005647Spring engineGeneralpublic2017-07-14 01:18
ReporterDeinFreund 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version103.0 +git 
Target VersionFixed in Version 
Summary0005647: Light Laser tower fires through allies
DescriptionTwo laser towers attack their own factory because of a hostile unit hiding behind it.

https://i.imgur.com/mN4njAE.png

http://zero-k.info/Battles/Detail/462548
Steps To ReproduceZero-K v1.5.7.4
103.0.1-1169-gd576c41
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
related to 0005630resolvedKloot Laser tower tries to shoot through allies 
+Relationships

-Notes

~0018025

Kloot (developer)

Fix 3ff8f21f556c7c038292e22157616ce976eb9503 committed to develop branch: fix 0005647 (use TraceRay instead of TestCone when spread is negligible), repo: spring changeset id: 8505
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2017-07-13 21:49 DeinFreund New Issue
2017-07-13 21:51 hokomoko Relationship added related to 0005630
2017-07-13 22:28 Kloot Assigned To => Kloot
2017-07-13 22:28 Kloot Status new => assigned
2017-07-14 01:18 Kloot Changeset attached => spring develop 3ff8f21f
2017-07-14 01:18 Kloot Note Added: 0018025
2017-07-14 01:18 Kloot Status assigned => resolved
2017-07-14 01:18 Kloot Resolution open => fixed
+Issue History